curl --request PATCH \
--url https://api.honeycomb.io/2/teams/{teamSlug}/api-keys/{ID} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "hcxik_12345678901234567890123456",
"type": "api-keys",
"attributes": {
"name": "updated name",
"disabled": false
}
}
}
'{
"data": {
"id": "hcxik_12345678901234567890123456",
"type": "api-keys",
"attributes": {
"key_type": "ingest",
"name": "us-west-2 collectors key",
"disabled": false,
"permissions": {
"create_datasets": false
},
"timestamps": {
"created": "2022-09-22T17:32:11Z",
"updated": "2022-10-31T15:08:11Z"
}
},
"relationships": {
"environment": {
"data": {
"id": "hxenv_12345678901234567890123456",
"type": "environments"
}
},
"creator": {
"data": {
"id": "<string>",
"type": "users"
}
},
"editor": {
"data": {
"id": "<string>",
"type": "users"
}
}
},
"links": {
"self": "/2/teams/my-team/api-keys/hcxik_12345678901234567890123456"
}
}
}{
"status": 400,
"type": "https://api.honeycomb.io/problems/unparseable",
"title": "The request body could not be parsed.",
"error": "invalid gzip data"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"status": 413,
"type": "https://api.honeycomb.io/problems/payload-too-large",
"title": "Request body is too large.",
"error": "Body size is larger than maximum size of 100000 bytes"
}{
"errors": [
{
"id": "<string>",
"code": "<string>",
"status": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"header": "<string>",
"parameter": "<string>"
}
}
]
}{
"error": "something went wrong!",
"status": 422,
"type": "https://api.honeycomb.io/problems/validation-failed",
"title": "The provided input is invalid.",
"detail": "<string>",
"instance": "<string>",
"type_detail": [
{
"field": "<string>",
"description": "<string>"
}
]
}{
"error": "Rate Limited"
}{
"error": "something went wrong!",
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"instance": "<string>"
}Update an API Key
Updates an API Key. The expected attributes depend on the key type:
- Ingest Keys (prefix
hcxik_): Supportnameandenabledattributes - Configuration Keys (prefix
hcxlk_): Supportname,enabled, andpermissionsattributes
PATCH
/
2
/
teams
/
{teamSlug}
/
api-keys
/
{ID}
curl --request PATCH \
--url https://api.honeycomb.io/2/teams/{teamSlug}/api-keys/{ID} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "hcxik_12345678901234567890123456",
"type": "api-keys",
"attributes": {
"name": "updated name",
"disabled": false
}
}
}
'{
"data": {
"id": "hcxik_12345678901234567890123456",
"type": "api-keys",
"attributes": {
"key_type": "ingest",
"name": "us-west-2 collectors key",
"disabled": false,
"permissions": {
"create_datasets": false
},
"timestamps": {
"created": "2022-09-22T17:32:11Z",
"updated": "2022-10-31T15:08:11Z"
}
},
"relationships": {
"environment": {
"data": {
"id": "hxenv_12345678901234567890123456",
"type": "environments"
}
},
"creator": {
"data": {
"id": "<string>",
"type": "users"
}
},
"editor": {
"data": {
"id": "<string>",
"type": "users"
}
}
},
"links": {
"self": "/2/teams/my-team/api-keys/hcxik_12345678901234567890123456"
}
}
}{
"status": 400,
"type": "https://api.honeycomb.io/problems/unparseable",
"title": "The request body could not be parsed.",
"error": "invalid gzip data"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"status": 413,
"type": "https://api.honeycomb.io/problems/payload-too-large",
"title": "Request body is too large.",
"error": "Body size is larger than maximum size of 100000 bytes"
}{
"errors": [
{
"id": "<string>",
"code": "<string>",
"status": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"header": "<string>",
"parameter": "<string>"
}
}
]
}{
"error": "something went wrong!",
"status": 422,
"type": "https://api.honeycomb.io/problems/validation-failed",
"title": "The provided input is invalid.",
"detail": "<string>",
"instance": "<string>",
"type_detail": [
{
"field": "<string>",
"description": "<string>"
}
]
}{
"error": "Rate Limited"
}{
"error": "something went wrong!",
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"instance": "<string>"
}Authorizations
Authenticate using a Honeycomb Management Key.
Pass the Management Key as a Bearer token in the Authorization header:
Authorization: Bearer hcxmk_12345678901234567890123456:12345678901234567890123456789012
Construct the key value by joining the Key ID and Secret with a colon (:).
To learn how to create a Management Key, visit Manage Team API Keys. To learn more about authenticating requests, visit API Authentication.
Body
application/vnd.api+json
- Ingest Key
- Configuration Key
Show child attributes
Show child attributes
Response
Success
Show child attributes
Show child attributes
⌘I